<?php

	include("../M0/session_start.php") ;

	if ( $_SESSION['level'] < 8 ) {
		header('Location: ' . $root_dir . '/M5/gestion_sondes.php');
		exit();
	}

	include("../M0/communs_en_tete_HTML.html") ;
	$back_link = "../M5/gestion_sondes.php";
	include('../M0/communs_en_tete_home_back.html');

	$return_path = "./get_code_for_one_sonde.php" ;
	include('../M0/display_user_only.php'); 

?>

<form name="form2" id="form2" method="post" action="./get_code_for_one_sonde_execute.php">

<table align="center" width="<?php echo $tables_width ; ?>"  border="2" cellspacing="2" cellpadding="2" bordercolor="#ffffff" bgcolor="#000033">	

	<tr align="center">
		<td>
			<font size="4" color="lightblue" face="Arial, Helvetica, sans-serif">
				</br><u>- obtention d'un code temporaire -</u>
			</font>	
		
			<table width="86%">
			
				<tr align="center">
					<td align="left" colspan="2">
					
						<font size="3" color="orange" face="Arial, Helvetica, sans-serif">
							<br>
							D'une validité d'environ 2 minutes, le code temporaire<br>
							de connexion à une sonde est calculé à partir de :<br>
							-&nbsp;&nbsp;son adresse MAC<br>
							-&nbsp;&nbsp;la date et l'heure <u>de la sonde</u><br><br>
							ATTENTION : l'horloge de la sonde peut<br> 
							éventuellement ne pas être à l'heure officielle.
							<br>
						</font>	
						
					</td>
				</tr>

			</table>
		
			
		
			<?php 
				include("./get_code_for_one_sonde_a.php") ;
			?> 

			<font size="1" face="Arial, Helvetica, sans-serif">&nbsp;</font>
			
		</td>
	</tr>
	
</table>

</form>

<script>

function isValidMacAddress() {
	
	var RegExPattern = /^[0-9a-fA-F:]+$/;
	
	var submit_button = document.getElementById("submit_button");
	var a = document.getElementById("aqcm_MAC_ADDRESS");
	var macAdd = a.value ;

	if ( ! (macAdd.match(RegExPattern)) || macAdd.length != 17 ) {
		submit_button.disabled = true;
	} else {
		submit_button.disabled = false;
	}

}

</script>
 </body>
</html>